@ECHO OFF

:: Calculate path to the Java lib. Make sure that the JAVA_HOME environment variable is set.
set JDK="%JAVA_HOME%\bin\javac.exe"

:: Calculate the current path and library path.
set BaseDir=%CD%
cd ..\..
set LibPath=%CD%\lib\
cd %BaseDir%

:: Abort if the JAVA_HOME variable cannot be found.
IF "%JAVA_HOME%"=="" (
     echo Error: JAVA_HOME variable is not set. This should point towards the directory where the JDK is installed. Aborting.
     GOTO :end
)

:: Abort if the java compiler cannot be found.
IF NOT EXIST %JDK% (
     echo Could not locate compiler at %JDK%. Aborting.
     GOTO :end
)

:: Abort if the lib folder cannot be found.
IF NOT EXIST "%LibPath%" ( 
    echo Error: Could not locate the lib folder at %LibPath%
    echo.
    echo Make sure you have copied the lib folder from the main Aspose.Words.Java.zip archive to this path.
    echo.
    GOTO :end
)

:: Check if each required library exists
call:checkLibraryExists "%LibPath%Aspose.Words.jdk15.jar"
call:checkLibraryExists "%LibPath%demos-only-libs\aspose-barcode.jar"
call:checkLibraryExists "%LibPath%demos-only-libs\aspose-cells.jar"

echo Compiling DemoBatch Project
echo.

:: The classes directory must already exist for javac
IF NOT EXIST .\classes md .\classes

%JDK% -classpath ..\..\lib\Aspose.Words.jdk15.jar;..\..\lib\demos-only-libs\aspose-barcode.jar;..\..\lib\demos-only-libs\aspose-cells.jar -d .\classes DemoBatch.java .\src\*

if %ERRORLEVEL% == 0 (
echo.
echo Compiled Successfully.
echo.
) ELSE (
echo.
echo An error occured while compiling the demos.
echo.
)

goto :end

:checkLibraryExists
IF NOT EXIST "%~1" ( 
    echo Error: Could not locate the required library: 
    echo %~1
    echo.
    echo Make sure you have copied the lib folder from the main Aspose.Words.Java.zip archive to this path.
    echo.
    GOTO :end
)
goto:eof

:end
pause
exit