//////////////////////////////////////////////////////////////////////////
// Copyright 2001-2011 Aspose Pty Ltd. All Rights Reserved.
//
// This file is part of Aspose.Words. The source code in this file
// is only intended as a supplement to the documentation, and is provided
// "as is", without warranty of any kind, either expressed or implied.
//////////////////////////////////////////////////////////////////////////
package com.aspose.words.demos;

import com.aspose.words.*;
import java.sql.*;

/**
 * Creates a letter for a list of clients defined in the database. Shows how to use
 * "simple" mail merge, similar to the classic mail merge available in Microsoft Word.
 */
public class DinnerInvitationDemo extends Demo
{
	public DinnerInvitationDemo()
	{
		init("DinnerInvitationDemo");
	}

    public Document execute() throws Exception
    {
        // Open the template document
		Document doc = new Document(getPathToTemplateDoc());

        // This demonstrates simple mail merge which populates fields in the document only once from an array of values.
        doc.getMailMerge().execute(
            new String[] {"MyName", "MyTitle", "MyAddress1", "MyAddress2"},
            new Object[] {"James Bond", "Secret Agent", "MI5 Headquarters", "Milbank, London"});

        // Mail merge customer details from the ResultSet into the document.
        // The whole content of the document will be repeated for each merged record.
        ResultSet customers = executeQuery("SELECT TOP 5 * FROM AsposeWordCustomers WHERE Country = 'USA'");
        doc.getMailMerge().execute(new DataTable(customers));

        return doc;
	}
}
